
CoCoALib - Bug #114

Ideals of polynomials

26 Mar 2012 19:11 - John Abbott

Status: In Progress Start date: 26 Mar 2012

Priority: Normal Due date:  

Assignee:  % Done: 10%

Category: Tidying Estimated time: 4.00 hours

Target version: CoCoALib-1.0 Spent time: 0.25 hour

Description

Currently operations special to ideals in polynomial rings are located in SparsePolyRing.H -- this seems incorrect.  Many of the

operations apply to ideals of any sort of poly, and it "feels wrong" to have to include SparsePolyRing when one wants only ideal

operations.

The proposal is to move the special operations into their own separate file.

What should this file be called? PolyIdeal is an obvious name, but it would be nicer to have a name which begins with the letter I.

Note that there is already a file called FieldIdeal (which does not begin with the letter I).

Decide a name, and move the operations!

Related issues:

Related to CoCoA-5 - Feature #367: implement LF/DF for an ideal Closed 11 Jun 2013

Related to CoCoA-5 - Feature #237: port homog/homogenized for ideal to cocoa-5 Closed 26 Sep 2012

Related to CoCoA-5 - Slug #405: ReducedGBasis not memorized in an ideal Closed 09 Oct 2013

Related to CoCoALib - Design #871: Redesign ideals New 26 Apr 2016

History

#1 - 02 Apr 2014 09:34 - Anna Maria Bigatti

- Category set to Tidying

- Status changed from New to In Progress

- Target version set to CoCoALib-0.99533 Easter14

- % Done changed from 0 to 10

I suggest IdealInPolyRing, IdealInField

#2 - 07 Apr 2014 18:27 - John Abbott

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-0.99534 Seoul14

#3 - 10 Jul 2014 14:26 - John Abbott

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0

#4 - 26 Apr 2016 15:13 - John Abbott

- Related to Design #871: Redesign ideals added
